package xml2rdbms.solution;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class DatabaseAccess {
	
	static { // One time driver registration
		try {
			Class.forName("com.mysql.jdbc.Driver");
		} catch (ClassNotFoundException e1) {
			System.err.println("Unable to register JDBC driver");
		}
	}

	private Connection conn;
	private Statement stmt;
	
	
	public void connect() {
		try {
			conn = DriverManager.getConnection(
					 "jdbc:mysql://localhost:3306/hdm", "hdmuser", "XYZ");
			try {
				stmt = conn.createStatement();
			} catch (SQLException e) {
				System.err.println("Unable to create statement");
			}
		} catch (SQLException e) {
			System.err.println("Unable to connect to database server");
		}
	}
	public void close() {
		try {
			conn.close();
		} catch (SQLException e) {
			System.err.println("Unable to close connection");
		}
	}
	public void insert(final int transactionId, final String partNum, final int quantity, 
			final String comment) {
		
		final String insertStmt;
		if (null == comment) {
			insertStmt = "INSERT INTO Billing VALUES(" + transactionId
					 + ", '" + partNum + "', " + quantity + ",  NULL)";
		} else {
			insertStmt = "INSERT INTO Billing VALUES(" + transactionId
					 + ", '" + partNum + "', " + quantity + ", '" + comment + "')";
		}
		
		try {
			stmt.executeUpdate(insertStmt);
		} catch (SQLException e) {
			System.err.println("Unable to insert dataset:" + e.getLocalizedMessage());
		}
	}
	
}
